#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/@COMPONENT.h"

namespace morpheo {
namespace behavioural {
@NAMESPACE_BEGIN

  string @COMPONENT::statistics (uint32_t depth)
  {
    log_printf(FUNC,@COMPONENT,"statistics","Begin");

    string txt = _stat->print(depth);
    
    log_printf(FUNC,@COMPONENT,"statistics","End");

    return txt;
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
#endif
